The RHEL support is limited to version 7 GA ("Service Pack 0"). While RHEL 7.1 has shipped in 2015-03 and RHEL 7.2 in 2015-11, the Zenworks 11.4.2 update which has been released in 2016-05 is still lacking support for these releases and 7.1/7.2 machines are denying registration in the zone after agent installation.

We are currently "fixing" this by forcing the /etc/os-release and /etc/redhat-release files to reflect old (and incorrect) RHEL versions, but this is obviously breaking supportability of the systems.

This looks very much like a job comprising merely of testing / QA, maybe filing a marginal number of bugs and updating the ostargets.xml to reflect the new versions.

Comments

  • Note that RHEL 7.3 Beta has been released on 2016-08, so we might be seeing 7.3 within 2-3 months as well.

  • People asking for RHEL 7.1 and 7.2 to be supported as a managed device in ZCM forums: https://forums.novell.com/showthread.php/497742-11-4-1-manage-Rad-Hat-7-1-and-7-2-systems

  • This seems to have been fixed with Zenworks 2017, where minor / service pack versions no longer appear as matching criteria in zenworks-registration/ostargets.xml:

    <ostarget>
    <name>rhel-7-x86_64</name>
    <product_name>Red Hat Enterprise Linux Server 7</product_name>
    <version>7</version>
    <arch>x86_64</arch>
    <vendor>RedHat</vendor>
    <pkgmgr>rpm</pkgmgr>
    <primary_role>Server</primary_role>
    <detect>
    <file source="/etc/redhat-release" substring="Red Hat Enterprise Linux Server release 7"/>
    </detect>
    </ostarget>